# Delete Key
Source: https://docs.simpleserve.ai/docs/api-reference/billing/delete-keys-key_id

Method: DELETE /simpleserve/v1/keys/{key_id}
Base URL: https://api.simpleserve.ai

```json
{
  "path": "/simpleserve/v1/keys/{key_id}",
  "method": "DELETE",
  "summary": "Delete Key",
  "operationId": "delete_key_simpleserve_v1_keys__key_id__delete",
  "parameters": [
    {
      "name": "key_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "title": "Key Id"
      }
    },
    {
      "name": "authorization",
      "in": "header",
      "required": false,
      "schema": {
        "type": "string",
        "default": "",
        "title": "Authorization"
      }
    },
    {
      "name": "xi-api-key",
      "in": "header",
      "required": false,
      "schema": {
        "type": "string",
        "default": "",
        "title": "Xi-Api-Key"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful Response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/KeyRevokeResponse"
          }
        }
      }
    },
    "422": {
      "description": "Validation Error",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/HTTPValidationError"
          }
        }
      }
    }
  },
  "tags": [
    "Billing"
  ]
}
```